### Enumeration

# Gimp InterpolationType

unstable since: 3.0

#### Declaration

    enum Gimp.InterpolationType

#### Description [src]

Interpolation types.

Available since: 3.0

#### Members

`GIMP_INTERPOLATION_NONE`

  None.

  - Value: `0`
  - Nickname: `none`
  - Available since: 3.0
`GIMP_INTERPOLATION_LINEAR`

  Linear.

  - Value: `1`
  - Nickname: `linear`
  - Available since: 3.0
`GIMP_INTERPOLATION_CUBIC`

  Cubic.

  - Value: `2`
  - Nickname: `cubic`
  - Available since: 3.0
`GIMP_INTERPOLATION_NOHALO`

  NoHalo.

  - Value: `3`
  - Nickname: `nohalo`
  - Available since: 3.0
`GIMP_INTERPOLATION_LOHALO`

  LoHalo.

  - Value: `4`
  - Nickname: `lohalo`
  - Available since: 3.0